kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    deployment.kubernetes.io/revision: '1'
  selfLink: /apis/apps/v1/namespaces/iokhrime-crw-4/deployments/codeready
  resourceVersion: '12275893'
  name: codeready
  uid: 44450cfe-82e6-4c33-ada9-d08fae9a6558
  creationTimestamp: '2020-06-17T09:39:02Z'
  generation: 1
  namespace: iokhrime-crw-4
  ownerReferences:
    - apiVersion: org.eclipse.che/v1
      kind: CheCluster
      name: codeready-workspaces
      uid: f369af04-5527-41af-b4f0-09a9267ab102
      controller: true
      blockOwnerDeletion: true
  labels:
    app: codeready
    component: codeready
spec:
  replicas: 1
  selector:
    matchLabels:
      app: codeready
      component: codeready
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: codeready
        component: codeready
    spec:
      restartPolicy: Always
      serviceAccountName: che
      schedulerName: default-scheduler
      terminationGracePeriodSeconds: 30
      securityContext: {}
      containers:
        - resources:
            limits:
              memory: 1Gi
            requests:
              memory: 512Mi
          readinessProbe:
            httpGet:
              path: /api/system/state
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 25
            timeoutSeconds: 5
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 18
          terminationMessagePath: /dev/termination-log
          name: codeready
          livenessProbe:
            httpGet:
              path: /api/system/state
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 200
            timeoutSeconds: 3
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          env:
            - name: CM_REVISION
              value: '12275678'
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  apiVersion: v1
                  fieldPath: metadata.namespace
            - name: CHE_SELF__SIGNED__CERT
              valueFrom:
                secretKeyRef:
                  name: self-signed-certificate
                  key: ca.crt
                  optional: true
            - name: CHE_GIT_SELF__SIGNED__CERT
            - name: CHE_GIT_SELF__SIGNED__CERT__HOST
            - name: CHE_JDBC_USERNAME
              valueFrom:
                secretKeyRef:
                  name: che-postgres-secret
                  key: user
            - name: CHE_JDBC_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: che-postgres-secret
                  key: password
          ports:
            - name: http
              containerPort: 8080
              protocol: TCP
            - name: http-debug
              containerPort: 8000
              protocol: TCP
            - name: jgroups-ping
              containerPort: 8888
              protocol: TCP
          imagePullPolicy: Always
          volumeMounts:
            - name: che-public-certs
              mountPath: /public-certs
          terminationMessagePolicy: File
          envFrom:
            - configMapRef:
                name: che
          image: 'quay.io/crw/server-rhel8:latest'
      serviceAccount: che
      volumes:
        - name: che-public-certs
          emptyDir: {}
      dnsPolicy: ClusterFirst
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600
status:
  observedGeneration: 1
  replicas: 1
  updatedReplicas: 1
  readyReplicas: 1
  availableReplicas: 1
  conditions:
    - type: Available
      status: 'True'
      lastUpdateTime: '2020-06-17T09:39:52Z'
      lastTransitionTime: '2020-06-17T09:39:52Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
    - type: Progressing
      status: 'True'
      lastUpdateTime: '2020-06-17T09:39:52Z'
      lastTransitionTime: '2020-06-17T09:39:14Z'
      reason: NewReplicaSetAvailable
      message: ReplicaSet "codeready-86b55db5f4" has successfully progressed.
